Skip to content
Basenet
🇳🇱 Nederlands
Esc
↑↓navigate↵open⌘Jpreview

Create a task (scope tasks:write)

POST/api/v1/tasks
Authorization
AuthorizationBearer token · headerrequired

Scoped API token (bnx_…). Required scopes are noted per operation.

Request body
application/json
descriptionstringrequired
min length 1
bodystring | null
matterIdstring
assigneeRelationIdstring
startDatestring<date> | string<date-time>
Show properties
Any of:
string<date>
string<date>
string<date-time>
string<date-time>
dueDatestring<date> | string<date-time>
Show properties
Any of:
string<date>
string<date>
string<date-time>
string<date-time>
escalationDatestring<date>
escalationAtstring<date-time>
recurrenceRuleobject
Show properties
freqstringrequired
Allowed:dailyweeklymonthly
intervalintegerrequired
untilstring<date>
countinteger
taskTypestring
Responses
201

Created resource

idstringrequired
matterIdstring | nullrequired
assigneeRelationIdstring | nullrequired
taskTypestring | nullrequired
statusstringrequired
descriptionstringrequired
bodystring | nullrequired
startDatestring | nullrequired
dueDatestring | nullrequired
doneDatestring | nullrequired
escalationDatestring | nullrequired
escalationAtstring | null
recurrenceRuleobject | nullrequired
Show properties
freqstringrequired
Allowed:dailyweeklymonthly
intervalintegerrequired
untilstring<date>
countinteger
createdAtstringrequired
updatedAtstringrequired
400

Invalid request

errorstringrequired
codestringrequired
rulestring
401

Unauthenticated

errorstringrequired
codestringrequired
rulestring
403

Forbidden (missing scope or permission)

errorstringrequired
codestringrequired
rulestring
429

Rate limited

errorstringrequired
codestringrequired
rulestring
Request
curl -X POST '/api/v1/tasks' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
  "description": "string",
  "body": "string",
  "matterId": "string",
  "assigneeRelationId": "string",
  "startDate": "2019-08-24",
  "dueDate": "2019-08-24",
  "escalationDate": "2019-08-24",
  "escalationAt": "2019-08-24T14:15:22Z",
  "recurrenceRule": {
    "freq": "daily",
    "interval": 1,
    "until": "2019-08-24",
    "count": 1
  },
  "taskType": "string"
}'
Response
{
  "id": "string",
  "matterId": "string",
  "assigneeRelationId": "string",
  "taskType": "string",
  "status": "string",
  "description": "string",
  "body": "string",
  "startDate": "string",
  "dueDate": "string",
  "doneDate": "string",
  "escalationDate": "string",
  "escalationAt": "string",
  "recurrenceRule": {
    "freq": "daily",
    "interval": 1,
    "until": "2019-08-24",
    "count": 1
  },
  "createdAt": "string",
  "updatedAt": "string"
}